#__next{
    height: 100%;
}
.usernameForm{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #000000;
}
.usernameLabel{
    font-size: 26px;
    font-weight: 600;
    margin-right: 20px;
}
.usernameInput{
    width: 180px;
    height: 40px;
    box-sizing: border-box;
    padding: 8px 12px;
    margin-right: 10px;
    font-size: 16px;
}
.sendUsernameButton{
    width: 90px;
    height: 40px;
    background: darkolivegreen;
    color: floralwhite;
    cursor: pointer;
    border: none;
}

.chatPage{
    width: 100%;
    height: 100%;
    display: flex;
}
.userList{
    width: 30%;
    height: 100%;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    padding: 10px;
    background: #001f01;
    color: #ffffff;
}
.userItem{
    height: 50px;
    box-sizing: border-box;
    padding: 5px;
    font-size: 20px;
    font-weight: 500;
}
.itMe{
    color: #d3ffd5;
}
.notMe{
    display: none;
}
.chatForm{
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}
.messageList{
    height: 90%;
    background: #e8e7ff;
    padding: 20px;
    box-sizing: border-box;
    overflow-y: scroll;
}
.messageItem{
    min-height: 10px;
    box-sizing: border-box;
    padding: 5px;
    font-size: 18px;
}
.serverMessageItem{
    min-width: 10px;
    box-sizing: border-box;
    font-size: 14px;
    padding: 5px;
    text-align: center;
    color: darkgrey;
}
.sendMessageForm{
    height: 10%;
    background: #ffe8e7;
    border-top: 2px solid;
    display: flex;
    align-items: center;
}
.messageInput{
    height: 40px;
    box-sizing: border-box;
    padding: 10px;
    font-size: 18px;
    width: 80%;
    margin-left: 16px;
    margin-right: 8px;
}
.sendMessageButton{
    height: 40px;
    width: 20%;
    margin-right: 16px;
    box-sizing: border-box;
    font-size: 18px;
    cursor: pointer;
    background: darkolivegreen;
    color: floralwhite;
    border: none;
}